// 加速度をProcessginで視覚化（Arduino側）
// 2017.12 nakayasu
 
int sensorValue[3];
int outputValue[3];
int inByte; // 受信データ
 
void setup()
{
  for(int k=0; k < 3; k++){
    sensorValue[k] = 0;
    outputValue[k] = 0;
  }
  Serial.begin(9600);
  establishContact(); // シリアル通信確立用
}
 
void loop()
{
  if (Serial.available() > 0) {
    inByte = Serial.read(); //シリアル受信
    sensorValue[0] = analogRead(1); //A1ピン入力 - Z(KXM52-1050の8pin)
    delay(10);
    sensorValue[1] = analogRead(2); //A2ピン入力 - Y(KXM52-1050の7pin)
    delay(10);
    sensorValue[2] = analogRead(3); //A3ピン入力 - X(KXM52-1050の6pin)
    delay(10);
    // センサー値をシリアル通信用に10bit（0〜1023）から8bitへ（0〜255）変換する
    outputValue[0] = map(sensorValue[0], 0, 1023, 0, 255);
    outputValue[1] = map(sensorValue[1], 0, 1023, 0, 255);
    outputValue[2] = map(sensorValue[2], 0, 1023, 0, 255);
    // シリアル送信
    Serial.write(outputValue[0]);
    Serial.write(outputValue[1]);
    Serial.write(outputValue[2]);
  }
}
 
void establishContact() { // シリアル通信が確立されるまでAを送信し続ける
  while (Serial.available() <= 0) {
    Serial.print('A');
    delay(300);
  }
}
